/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.Caisse;

import javafx.beans.property.SimpleFloatProperty;
import javafx.beans.property.SimpleStringProperty;

/**
 *
 * @author Maher
 */
public class CaisseSortieListe {
    
    private SimpleStringProperty IdCaisseClt;
    
    private SimpleStringProperty CodeType;
    
    private  SimpleStringProperty Type;
    private  SimpleStringProperty Date;
    private  SimpleStringProperty Montant;
    private  SimpleStringProperty Cheque;
    private  SimpleStringProperty Espece;
    private  SimpleStringProperty CarteBancaire;
    private  SimpleFloatProperty FloatMontant;
            
    public CaisseSortieListe(String id_caisse, String code_type, String type, String date_insert, String montant, String cheque, String nom_prenom, String carte_bancaire, float float_montant) {
        this.IdCaisseClt = new SimpleStringProperty(id_caisse);
        this.CodeType = new SimpleStringProperty(code_type);
        this.Type = new SimpleStringProperty(type);
        this.Date = new SimpleStringProperty(date_insert);
        this.Montant = new SimpleStringProperty(montant);
        this.Cheque = new SimpleStringProperty(cheque);
        this.Espece = new SimpleStringProperty(nom_prenom);
        this.CarteBancaire = new SimpleStringProperty(carte_bancaire);
        this.FloatMontant = new SimpleFloatProperty(float_montant);
        
    }
    
    
    public String getIdCaisseClt() {
        return IdCaisseClt.get();
    }
    
    public String getCodeType() {
        return CodeType.get();
    }
    
    
    public String getType() {
        return Type.get();
    }
    
    public String getDate() {
        return Date.get();
    }
    
    public String getMontant() {
        return Montant.get();
    }
    
    public String getCheque() {
        return Cheque.get();
    }
    
    public String getEspece() {
        return Espece.get();
    }
    
    public String getCarteBancaire() {
        return CarteBancaire.get();
    }
    
    public float getFloatMontant() {
        return FloatMontant.get();
    }
}
